# osgUtil::IntersectVisitor::IntersectState Class Reference

Inheritance diagram for osgUtil::IntersectVisitor::IntersectState:

[legend]
List of all members.

## Public Types

typedef std::pair< osg::ref_ptr< osg::LineSegment >, osg::ref_ptr< osg::LineSegment > > | LineSegmentPair
typedef std::vector< LineSegmentPair > | LineSegmentList
typedef unsigned int | LineSegmentMask
typedef std::vector< LineSegmentMask > | LineSegmentMaskStack

## Public Member Functions

| IntersectState ()
bool | isCulled (const osg::BoundingSphere &bs, LineSegmentMask &segMaskOut)
bool | isCulled (const osg::BoundingBox &bb, LineSegmentMask &segMaskOut)
void | addLineSegmentPair (osg::LineSegment *first, osg::LineSegment *second)

## Public Attributes

osg::ref_ptr< osg::RefMatrix > | _matrix
osg::ref_ptr< osg::RefMatrix > | _inverse
LineSegmentList | _segList
LineSegmentMaskStack | _segmentMaskStack

## Protected Member Functions

| ~IntersectState ()

## Member Typedef Documentation

typedef std::vector< LineSegmentPair > osgUtil::IntersectVisitor::IntersectState::LineSegmentList

typedef unsigned int osgUtil::IntersectVisitor::IntersectState::LineSegmentMask

typedef std::vector<LineSegmentMask> osgUtil::IntersectVisitor::IntersectState::LineSegmentMaskStack

typedef std::pair<osg::ref_ptr<osg::LineSegment>,osg::ref_ptr<osg::LineSegment> > osgUtil::IntersectVisitor::IntersectState::LineSegmentPair

## Constructor & Destructor Documentation

IntersectVisitor::IntersectState::IntersectState | ( |  | ) |

IntersectVisitor::IntersectState::~IntersectState | ( |  | ) | `[protected]`

## Member Function Documentation

void osgUtil::IntersectVisitor::IntersectState::addLineSegmentPair | ( | osg::LineSegment * | first,
|  | osg::LineSegment * | second
| ) | `[inline]`

bool IntersectVisitor::IntersectState::isCulled | ( | const osg::BoundingBox & | bb,
|  | LineSegmentMask & | segMaskOut
| ) |

bool IntersectVisitor::IntersectState::isCulled | ( | const osg::BoundingSphere & | bs,
|  | LineSegmentMask & | segMaskOut
| ) |

## Member Data Documentation

osg::ref_ptr<osg::RefMatrix> osgUtil::IntersectVisitor::IntersectState::_inverse

osg::ref_ptr<osg::RefMatrix> osgUtil::IntersectVisitor::IntersectState::_matrix

LineSegmentList osgUtil::IntersectVisitor::IntersectState::_segList

LineSegmentMaskStack osgUtil::IntersectVisitor::IntersectState::_segmentMaskStack

The documentation for this class was generated from the following files:

- IntersectVisitor
- IntersectVisitor.cpp